using C4IT.FASD.Communication.Agent;
using Newtonsoft.Json;
using System;

namespace C4IT.DataHistoryProvider.Base.Modules.Agent
{
    public class AgentRemoteConnectionInfo : AgentApiResult
    {
        [JsonProperty("connectionId")]
        public Guid ConnectionId { get; set; }

        [JsonProperty("phoenixServiceUrl")]
        public Uri ServiceUrl { get; set; }

        [JsonProperty("secret")]
        public string Secret { get; set; }
    }
}
